#!/bin/bash

# Install or update custom config files

# Stop on first failure
set -e

# Show each command
set -x

# Go to script directory
cd "$(realpath "$(dirname "$0")")"

# Install common user configuration files
\
`# Download newest common archive` \
wget  \
    --quiet \
    --output-document \
        - \
    https://gitlab.com/krystian.wojtas/setup-common/-/archive/master/setup-common-master.tar \
|
`# Unpack archive and overwrite any previous configs` \
tar \
    --extract \
    \
    `# Ommit internal top level directory with repository name and home` \
    --strip-components=2 \
    \
    `# Unpack to home directory of target user` \
    --directory "$HOME" \

# Overwrite with custom user config
cp --recursive ./user/. "$HOME/"

# Install rust compiler
curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh -s -- -y
